<?php
include_once('def.php');
include 'session_read.php';
include('wrenchboard_class.php');
$wrenchboard = new wrenchboard_class();

$data = array(
    "member_id" => $member_id ,
    "sessionid" => $session_id ,
    "uid" => $uid,
    "cardnumber"  => "4242424242424242",
    "exp_month" => "12",
    "exp_year" => "2026",
    "cvc"  => "123",
    "amount" => rand(100,2000),
    "description" => "This is a test charge for new stripe account ".rand(1,10000),
    "paymenttype" => 100,
    "credit_reference" =>  '36bff2cb-6691-4479-a240-2483da2c2575',
    'action'=>WRENCHBOARD_USER_ADNEWCC
);

$out = array();
$ret = $wrenchboard->wrenchboard_api($data,$out,'paynewcard');

?>
